using System;

namespace InABox.Mobile
{
    public class StringArrayToStringConverter : AbstractConverter<string[], string>
    {
        protected override string Convert(string[] value, object? parameter = null)
        {
            return value != null ? String.Join("\n", value) : "";
        }

        protected override string[] Deconvert(string value, object? parameter = null)
        {
            return value != null ? value.Split('\n') : new String[] { };
        }
    }
}